com.holonplatform.jaxrs.spring.boot.internal

## Class JaxrsClientBuilderRestClientFactory

- java.lang.Object
- - com.holonplatform.jaxrs.spring.boot.internal.JaxrsClientBuilderRestClientFactory

- All Implemented Interfaces:
    com.holonplatform.http.rest.RestClientFactory

      @Priority(value=90)
      public class JaxrsClientBuilderRestClientFactory
      extends Object
      implements com.holonplatform.http.rest.RestClientFactory

  A `RestClientFactory` to use a `JaxrsClientBuilder` to create JAX-RS client instances.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.rest.RestClientFactory

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsClientBuilderRestClientFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.http.rest.RestClient` | `create(ClassLoader classLoader)`
    `Class<?>` | `getRestClientImplementationClass()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxrsClientBuilderRestClientFactory

          public JaxrsClientBuilderRestClientFactory()

  - ### Method Detail

    - #### getRestClientImplementationClass

          public Class<?> getRestClientImplementationClass()

      Specified by:
        `getRestClientImplementationClass` in interface `com.holonplatform.http.rest.RestClientFactory`

    - #### create

          public com.holonplatform.http.rest.RestClient create(ClassLoader classLoader)
                                                        throws com.holonplatform.http.exceptions.RestClientCreationException

      Specified by:
        `create` in interface `com.holonplatform.http.rest.RestClientFactory`
      Throws:
        `com.holonplatform.http.exceptions.RestClientCreationException`

Copyright © 2019 The Holon Platform. All rights reserved.